## org.metaabm.impl
Class MetaABMFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.metaabm.impl.MetaABMFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, MetaABMFactory

    public class MetaABMFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements MetaABMFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.metaabm.MetaABMFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MetaABMFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertSAttributeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSBorderRuleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSImplementationModeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSNeighborhoodTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSShapeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SAgent` `createSAgent()`
`SAttribute` `createSAttribute()`
`SAttributeArray` `createSAttributeArray()`
`SAttributeType` `createSAttributeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SBorderRule` `createSBorderRuleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SContext` `createSContext()`
`SContinuousSpace` `createSContinuousSpace()`
`SGeography` `createSGeography()`
`SGrid` `createSGrid()`
`SImplementation` `createSImplementation()`
`SImplementationMode` `createSImplementationModeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SNeighborhoodType` `createSNeighborhoodTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SNetwork` `createSNetwork()`
`SShapeType` `createSShapeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SState` `createSState()`
`SStateValue` `createSStateValue()`
`SStyle2D` `createSStyle2D()`
`SStyle3D` `createSStyle3D()`
`SStyleShape` `createSStyleShape()`
`SValueLayer` `createSValueLayer()`
`MetaABMPackage` `getMetaABMPackage()`
`static MetaABMPackage` `getPackage()` Deprecated.
`static MetaABMFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MetaABMFactoryImpl

    public MetaABMFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static MetaABMFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSAttribute

    public SAttribute createSAttribute()

  Specified by:
    `createSAttribute` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SAttribute'.

### createSAttributeArray

    public SAttributeArray createSAttributeArray()

  Specified by:
    `createSAttributeArray` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SAttribute Array'.

### createSAgent

    public SAgent createSAgent()

  Specified by:
    `createSAgent` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SAgent'.

### createSContext

    public SContext createSContext()

  Specified by:
    `createSContext` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SContext'.

### createSContinuousSpace

    public SContinuousSpace createSContinuousSpace()

  Specified by:
    `createSContinuousSpace` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SContinuous Space'.

### createSGrid

    public SGrid createSGrid()

  Specified by:
    `createSGrid` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SGrid'.

### createSNetwork

    public SNetwork createSNetwork()

  Specified by:
    `createSNetwork` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SNetwork'.

### createSGeography

    public SGeography createSGeography()

  Specified by:
    `createSGeography` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SGeography'.

### createSValueLayer

    public SValueLayer createSValueLayer()

  Specified by:
    `createSValueLayer` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SValue Layer'.

### createSStyle3D

    public SStyle3D createSStyle3D()

  Specified by:
    `createSStyle3D` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SStyle3 D'.

### createSStyle2D

    public SStyle2D createSStyle2D()

  Specified by:
    `createSStyle2D` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SStyle2 D'.

### createSStyleShape

    public SStyleShape createSStyleShape()

  Specified by:
    `createSStyleShape` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SStyle Shape'.

### createSImplementation

    public SImplementation createSImplementation()

  Specified by:
    `createSImplementation` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SImplementation'.

### createSState

    public SState createSState()

  Specified by:
    `createSState` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SState'.

### createSStateValue

    public SStateValue createSStateValue()

  Specified by:
    `createSStateValue` in interface `MetaABMFactory`
  Returns:
    a new object of class 'SState Value'.

### createSAttributeTypeFromString

    public SAttributeType createSAttributeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### convertSAttributeTypeToString

    public java.lang.String convertSAttributeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createSBorderRuleFromString

    public SBorderRule createSBorderRuleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

### convertSBorderRuleToString

    public java.lang.String convertSBorderRuleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createSNeighborhoodTypeFromString

    public SNeighborhoodType createSNeighborhoodTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertSNeighborhoodTypeToString

    public java.lang.String convertSNeighborhoodTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createSImplementationModeFromString

    public SImplementationMode createSImplementationModeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertSImplementationModeToString

    public java.lang.String convertSImplementationModeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createSShapeTypeFromString

    public SShapeType createSShapeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

### convertSShapeTypeToString

    public java.lang.String convertSShapeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

### getMetaABMPackage

    public MetaABMPackage getMetaABMPackage()

  Specified by:
    `getMetaABMPackage` in interface `MetaABMFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static MetaABMPackage getPackage()

  Deprecated.